# org.pdfclown.documents.contents.objects.DrawCurve Class Reference

'Append a cubic Bezier curve to the current path' operation [PDF:1.6:4.4.1]. More...

Inheritance diagram for org.pdfclown.documents.contents.objects.DrawCurve:

List of all members.

## Public Member Functions
| DrawCurve (string operator_, IList< PdfDirectObject > operands)
| DrawCurve (PointF point, PointF control, string operator_)
| Creates a partially-explicit curve.
| DrawCurve (double pointX, double pointY, double control1X, double control1Y, double control2X, double control2Y)
| Creates a fully-explicit curve.
| DrawCurve (PointF point, PointF control1, PointF control2)
| Creates a fully-explicit curve.
override void | Scan (ContentScanner.GraphicsState state)
| Applies this object to the specified graphics context, updating the specified graphics state.
override string | ToString ()
override void | WriteTo (IOutputStream stream, Document context)
| Serializes this object to the specified stream.
## Static Public Member Functions
static Operation | Get (string operator_, IList< PdfDirectObject > operands)
| Gets an operation.
## Static Public Attributes
static readonly string | FinalOperatorKeyword = "v"
| Specifies only the second control point (the first control point coincides with the initial point of the curve).
static readonly string | FullOperatorKeyword = "c"
| Specifies both control points explicitly.
static readonly string | InitialOperatorKeyword = "y"
| Specifies only the first control point (the second control point coincides with the final point of the curve).
## Protected Attributes
IList< PdfDirectObject > | operands
string | operator_
## Properties
PointF | Control1`[get, set]`
| Gets/Sets the first control point.
PointF | Control2`[get, set]`
| Gets/Sets the second control point.
IList< PdfDirectObject > | Operands`[get]`
string | Operator`[get]`
PointF | Point`[get, set]`
| Gets/Sets the final endpoint.

##

'Append a cubic Bezier curve to the current path' operation [PDF:1.6:4.4.1].

Such curves are defined by four points: the two endpoints (the current point and the final point) and two control points (the first control point, associated to the current point, and the second control point, associated to the final point).

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.objects.DrawCurve.DrawCurve | ( | PointF | point,
|  | PointF | control1,
|  | PointF | control2 |
| ) |  |  |

Creates a fully-explicit curve.

Parameters:

  | point | Final endpoint.
  | control1 | First control point.
  | control2 | Second control point.

org.pdfclown.documents.contents.objects.DrawCurve.DrawCurve | ( | double | pointX,
|  | double | pointY,
|  | double | control1X,
|  | double | control1Y,
|  | double | control2X,
|  | double | control2Y |
| ) |  |  |

Creates a fully-explicit curve.

org.pdfclown.documents.contents.objects.DrawCurve.DrawCurve | ( | PointF | point,
|  | PointF | control,
|  | string | operator_ |
| ) |  |  |

Creates a partially-explicit curve.

Parameters:

  | point | Final endpoint.
  | control | Explicit control point.
  | operator | Operator (either
      InitialOperator
  or
      FinalOperator
  ). It defines how to interpret the
      control
  parameter.

org.pdfclown.documents.contents.objects.DrawCurve.DrawCurve | ( | string | operator_,
|  | IList< PdfDirectObject > | operands |
| ) |  |  |

## Member Function Documentation

static Operation org.pdfclown.documents.contents.objects.Operation.Get | ( | string | operator_,
|  | IList< PdfDirectObject > | operands |
| ) |  |  | `[static, inherited]`

Gets an operation.

Parameters:

  | operator_ | Operator.
  | operands | List of operands.

override void org.pdfclown.documents.contents.objects.DrawCurve.Scan | ( | ContentScanner.GraphicsState | state | ) | `[virtual]`

Applies this object to the specified graphics context, updating the specified graphics state.

Parameters:

  | state | Graphics state.

Reimplemented from org.pdfclown.documents.contents.objects.ContentObject.

override string org.pdfclown.documents.contents.objects.Operation.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.documents.contents.objects.Operation.WriteTo | ( | IOutputStream | stream,
|  | Document | context |
| ) |  |  | `[virtual, inherited]`

Serializes this object to the specified stream.

Parameters:

  | stream | Target stream.
  | context | Document context.

Implements org.pdfclown.documents.contents.objects.ContentObject.

Reimplemented in org.pdfclown.documents.contents.objects.InlineImageBody.

References org.pdfclown.objects.PdfObjectWrapper.File, and org.pdfclown.bytes.IOutputStream.Write().

Referenced by org.pdfclown.documents.contents.objects.MarkedContent.WriteTo().

## Member Data Documentation

readonly string org.pdfclown.documents.contents.objects.DrawCurve.FinalOperatorKeyword = "v"`[static]`

Specifies only the second control point (the first control point coincides with the initial point of the curve).

readonly string org.pdfclown.documents.contents.objects.DrawCurve.FullOperatorKeyword = "c"`[static]`

Specifies both control points explicitly.

readonly string org.pdfclown.documents.contents.objects.DrawCurve.InitialOperatorKeyword = "y"`[static]`

Specifies only the first control point (the second control point coincides with the final point of the curve).

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.operands`[protected, inherited]`

string org.pdfclown.documents.contents.objects.Operation.operator_`[protected, inherited]`

## Property Documentation

PointF org.pdfclown.documents.contents.objects.DrawCurve.Control1`[get, set]`

Gets/Sets the first control point.

PointF org.pdfclown.documents.contents.objects.DrawCurve.Control2`[get, set]`

Gets/Sets the second control point.

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.Operands`[get, inherited]`

string org.pdfclown.documents.contents.objects.Operation.Operator`[get, inherited]`

PointF org.pdfclown.documents.contents.objects.DrawCurve.Point`[get, set]`

Gets/Sets the final endpoint.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.